{
  "header": "SDL_timer.h",
  "opaque_types": [],
  "typedefs": [
    {
      "name": "SDL_TimerID",
      "underlying_type": "Uint32"
    }
  ],
  "function_pointers": [],
  "c_type_aliases": [
    {
      "name": "SDL_TimerCallback"
    },
    {
      "name": "SDL_NSTimerCallback"
    }
  ],
  "enums": [],
  "structs": [],
  "unions": [],
  "flags": [],
  "functions": [
    {
      "name": "SDL_GetTicks",
      "return_type": "Uint64",
      "parameters": []
    },
    {
      "name": "SDL_GetTicksNS",
      "return_type": "Uint64",
      "parameters": []
    },
    {
      "name": "SDL_GetPerformanceCounter",
      "return_type": "Uint64",
      "parameters": []
    },
    {
      "name": "SDL_GetPerformanceFrequency",
      "return_type": "Uint64",
      "parameters": []
    },
    {
      "name": "SDL_Delay",
      "return_type": "void",
      "parameters": [
        {
          "name": "ms",
          "type": "Uint32"
        }
      ]
    },
    {
      "name": "SDL_DelayNS",
      "return_type": "void",
      "parameters": [
        {
          "name": "ns",
          "type": "Uint64"
        }
      ]
    },
    {
      "name": "SDL_DelayPrecise",
      "return_type": "void",
      "parameters": [
        {
          "name": "ns",
          "type": "Uint64"
        }
      ]
    },
    {
      "name": "SDL_AddTimer",
      "return_type": "SDL_TimerID",
      "parameters": [
        {
          "name": "interval",
          "type": "Uint32"
        },
        {
          "name": "callback",
          "type": "SDL_TimerCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        }
      ]
    },
    {
      "name": "SDL_AddTimerNS",
      "return_type": "SDL_TimerID",
      "parameters": [
        {
          "name": "interval",
          "type": "Uint64"
        },
        {
          "name": "callback",
          "type": "SDL_NSTimerCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        }
      ]
    },
    {
      "name": "SDL_RemoveTimer",
      "return_type": "bool",
      "parameters": [
        {
          "name": "id",
          "type": "SDL_TimerID"
        }
      ]
    }
  ]
}